> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-b16ba99a.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update the details of a physical consultation appointment.



## OpenAPI

````yaml post /abdm/uhi/v1/physical-consultation/booking/update
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/booking/update:
    post:
      description: Update the details of a physical consultation appointment.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelsUpdateOrderRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsGetPhysConsCommonResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsUpdateOrderRequest:
      properties:
        end_time:
          description: Updated end time of the appointment (24H format, ISO 8601 supported)
          type: string
        facility_id:
          description: >-
            Unique identifier of the facility where the appointment will take
            place
          type: string
        order_id:
          description: Unique identifier of the order to be updated
          type: string
        provider_id:
          description: Unique identifier of the healthcare provider or hospital
          type: string
        slot_id:
          description: Unique identifier of the new slot to be updated
          type: string
        start_time:
          description: >-
            Updated start time of the appointment (24H format, ISO 8601
            supported)
          type: string
        transaction_id:
          description: >-
            Unique transaction identifier associated with the order, received in
            the previous api response
          type: string
      type: object
    ModelsGetPhysConsCommonResponse:
      properties:
        order_id:
          description: Unique booking/order ID
          type: string
        provider_id:
          description: Provider ID for the next API call
          type: string
        txn_id:
          description: Unique transaction ID for the next API call
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````